Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::Visitor Class Reference
Ipe Utilities

`#include <ipeobject.h>`

Inherited by CollectSegs, ipe::BitmapFinder, ipe::TextCollectingVisitor, and TextBoxVisitor.

## Public Member Functions

virtual | ~Visitor ()
virtual void | visitGroup (const Group *obj)
virtual void | visitPath (const Path *obj)
virtual void | visitText (const Text *obj)
virtual void | visitImage (const Image *obj)
virtual void | visitReference (const Reference *obj)

## Detailed Description

Base class for visitors to Object.

Many operations on Ipe Objects are implemented as visitors, all derived from Visitor.

The default implementation of each visitXXX member does nothing.

## Constructor & Destructor Documentation

Visitor::~Visitor | ( |  | ) |

virtual

Pure virtual destructor.

## Member Function Documentation

void Visitor::visitGroup | ( | const Group * | obj | ) |

virtual

Called on an Group object.

Reimplemented in ipe::BitmapFinder.

void Visitor::visitPath | ( | const Path * | obj | ) |

virtual

Called on an Path object.

void Visitor::visitText | ( | const Text * | obj | ) |

virtual

Called on an Text object.

void Visitor::visitImage | ( | const Image * | obj | ) |

virtual

Called on an Image object.

Reimplemented in ipe::BitmapFinder.

void Visitor::visitReference | ( | const Reference * | obj | ) |

virtual

Called on an Reference object.

The documentation for this class was generated from the following files:

- ipeobject.h
- ipeobject.cpp